aboutsummaryrefslogtreecommitdiff
path: root/git-sh-setup.sh
diff options
context:
space:
mode:
authorJonathan Nieder <jrnieder@gmail.com>2009-10-30 20:42:34 -0500
committerJunio C Hamano <gitster@pobox.com>2009-11-13 12:20:50 -0800
commitb4479f074760a788dd4e353b8c86a7d735afc53e (patch)
tree5680844fb47dd256945296a8466de81a4bfb17ec /git-sh-setup.sh
parent6361824589bc2d32989a9a33f985d09a368436a3 (diff)
downloadgit-b4479f074760a788dd4e353b8c86a7d735afc53e.tar.gz
git-b4479f074760a788dd4e353b8c86a7d735afc53e.tar.xz
add -i, send-email, svn, p4, etc: use "git var GIT_EDITOR"
Use the new "git var GIT_EDITOR" feature to decide what editor to use, instead of duplicating its logic elsewhere. This should make the behavior of commands in edge cases (e.g., editor names with spaces) a little more consistent. Signed-off-by: Jonathan Nieder <jrnieder@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-xgit-sh-setup.sh19
1 files changed, 6 insertions, 13 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index c41c2f743..99cceeb85 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -99,19 +99,12 @@ set_reflog_action() {
}
git_editor() {
- : "${GIT_EDITOR:=$(git config core.editor)}"
- : "${GIT_EDITOR:=${VISUAL:-${EDITOR}}}"
- case "$GIT_EDITOR,$TERM" in
- ,dumb)
- echo >&2 "No editor specified in GIT_EDITOR, core.editor, VISUAL,"
- echo >&2 "or EDITOR. Tried to fall back to vi but terminal is dumb."
- echo >&2 "Please set one of these variables to an appropriate"
- echo >&2 "editor or run $0 with options that will not cause an"
- echo >&2 "editor to be invoked (e.g., -m or -F for git-commit)."
- exit 1
- ;;
- esac
- eval "${GIT_EDITOR:=vi}" '"$@"'
+ if test -z "${GIT_EDITOR:+set}"
+ then
+ GIT_EDITOR="$(git var GIT_EDITOR)" || return $?
+ fi
+
+ eval "$GIT_EDITOR" '"$@"'
}
is_bare_repository () {